<?php
class Teamspeak_query {
	private $mods = array();
	
	function query($server){
		$this->server = $server;
		
		# Load Mods
		$this->mods = (object)array();
		if(		!isset($this->server['mods'])
				|| (is_array($this->server['mods']) && count($this->server['mods'])==0)
				|| (is_string($this->server['mods']) && trim($this->server['mods'])=='')
			){
			$this->server['mods'] = 'default';
		}
		if(!is_array($this->server['mods'])){
			$this->server['mods'] = explode(',', $this->server['mods']);
		}
		if(!in_array('default', $this->server['mods'])){
			$this->server['mods'][] = 'default';
		}
		foreach($this->server['mods'] as $mod){
			$mod = strtolower(trim($mod));
			$filename = BASEPATH . 'extensions/teamspeak/mods/mod_' . $mod . '.php';
			if(file_exists($filename)){
				include_once($filename);
				$classname = 'Teamspeak_mod_' . $mod;
				if(method_exists($classname, 'query')){
					if(!isset($this->mods->$mod)){
						$this->mods->$mod = new $classname($this->server);
					}
					return $this->mods->$mod->query();
				}
			} else {
				log_message("Missing mod file.\nfile: " . $filename);
			}
		}
	}
}
