<?php
class Terraria_query {
	private $mods = array();
	
	function query($server){
		
        if(!isset($server['metadata']['host'])) {
			return array(
				'result'	=> 'error',
				'message'	=> 'Error config: missing host',
			);
        }
		
        if(!isset($server['metadata']['port'])) {
			return array(
				'result'	=> 'error',
				'message'	=> 'Error config: missing port',
			);
        }
		
		$result = @file_get_contents('http://' . $server['metadata']['host'] . ':' . $server['metadata']['port'] . '/status/');
		if(substr($result, 0, 1)=='{' || substr($result, 0, 1)=='['){
			$result = json_decode($result, true);
			
			if(isset($result['players'])){
				$serverdata['users']['sample'] = array();
				if(trim($result['players'])!=''){
					foreach(explode(',', $result['players']) as $row){
						$serverdata['users']['sample'][] = array('name' => $row);
					}
				}
				$serverdata['users']['online'] = count($serverdata['users']['sample']);

				if(!function_exists('cmp_by_name')){
					function cmp_by_name($a, $b) {
						return $a["name"] > $b["name"];
					}
				}
				usort($serverdata['users']['sample'], "cmp_by_name");
			} else {
				$serverdata['users']['online'] = 0;
			}
			
			return $serverdata;
		} else {
			return array(
				'result'	=> 'error',
				'message'	=> 'Error connecting: Did you remember to use tshock and enable the rest API',
			);
		}
	}
}
