SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- --------------------------------------------------------

--
-- Table structure for table `log_activity`
--

CREATE TABLE IF NOT EXISTS `log_activity` (
  `server_id` int(11) NOT NULL,
  `log_id` int(11) NOT NULL,
  `datetime` datetime NOT NULL,
  `activity` varchar(20) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `user_name` varchar(50) DEFAULT NULL,
  `message` text NOT NULL,
  KEY `server_id` (`server_id`),
  KEY `log_id` (`log_id`),
  KEY `datetime` (`datetime`),
  KEY `activity` (`activity`),
  KEY `user_name` (`user_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `log_index`
--

CREATE TABLE IF NOT EXISTS `log_index` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `server_id` int(11) NOT NULL,
  `datetime_file` datetime DEFAULT NULL,
  `datetime_parsed` datetime DEFAULT NULL,
  `status` enum('complete','reprocess') DEFAULT NULL,
  `file_name` varchar(100) NOT NULL,
  `file_md5` text,
  `lines_parsed` int(11) DEFAULT NULL,
  `lines_counted` int(11) DEFAULT NULL,
  PRIMARY KEY (`log_id`),
  KEY `server_id` (`server_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `player_meta` (
  `server_id` int(11) NOT NULL,
  `datetime_updated` datetime DEFAULT NULL,
  `meta` varchar(20) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `user_name` varchar(50) DEFAULT NULL,
  `date1` datetime DEFAULT NULL,
  `value1` varchar(200) DEFAULT NULL,
  `value2` varchar(200) DEFAULT NULL,
  `value3` varchar(200) DEFAULT NULL,
  `value4` varchar(200) DEFAULT NULL,
  UNIQUE KEY `server_id_2` (`server_id`,`meta`,`user_name`),
  KEY `server_id` (`server_id`),
  KEY `datetime_created` (`datetime_updated`),
  KEY `meta` (`meta`),
  KEY `user_name` (`user_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `server_index`
--

CREATE TABLE IF NOT EXISTS `server_index` (
  `server_id` int(11) NOT NULL AUTO_INCREMENT,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `extension` varchar(50) DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `mods` text,
  PRIMARY KEY (`server_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `server_maps`
--

CREATE TABLE IF NOT EXISTS `server_maps` (
  `server_id` int(11) NOT NULL,
  `map` varchar(50) NOT NULL,
  `dx_max` bigint(20) NOT NULL DEFAULT '0',
  `dx_min` bigint(20) NOT NULL DEFAULT '0',
  `dy_max` bigint(20) NOT NULL DEFAULT '0',
  `dy_min` bigint(20) NOT NULL DEFAULT '0',
  `dz_max` bigint(20) NOT NULL DEFAULT '0',
  `dz_min` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`server_id`,`map`),
  KEY `server_id` (`server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Table structure for table `server_meta`
--

CREATE TABLE IF NOT EXISTS `server_meta` (
  `server_id` int(11) NOT NULL,
  `type` enum('config','info') NOT NULL DEFAULT 'info',
  `field` varchar(30) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `server_id_2` (`server_id`,`type`,`field`),
  KEY `server_id` (`server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

