// http://www.bootply.com/93506
$.fn.pageMe = function(opts){
	var $this = this,
		defaults = {
		    perPage: 25,
		    showPrevNext: false,
		    numbersPerPage: 5,
		    hidePageNumbers: false
		},
		settings = $.extend(defaults, opts);

	var listElement = $this;
	var perPage = settings.perPage; 
	var children = listElement.children();
	var pagers = $('.pagination');

	if (typeof settings.childSelector!="undefined") {
		children = listElement.find(settings.childSelector);
	}

	if (typeof settings.pagerSelector!="undefined") {
		pagers = $(settings.pagerSelector);
	}

	var numItems = children.size();
	var numPages = Math.ceil(numItems/perPage);

	$(pagers).each(function(){
		pager = $(this);

		pager.data("curr",0);

		if (settings.showPrevNext){
			$('<li><a href="#" class="prev_link">&laquo;</a></li>').appendTo(pager);
		}

		var curr = 0;
		while(numPages > curr && (settings.hidePageNumbers==false)){
			$('<li><a href="#" class="page_link">'+(curr+1)+'</a></li>').appendTo(pager);
			curr++;
		}
	  
		if (settings.numbersPerPage>1) {
		   pager.find('.page_link').hide();
		   pager.find('.page_link').slice(pager.data("curr"), settings.numbersPerPage).show();
		}

		if (settings.showPrevNext){
			$('<li><a href="#" class="next_link">&raquo;</a></li>').appendTo(pager);
		}

		pager.find('.page_link:first').addClass('active');
		pager.find('.prev_link').hide();
		if (numPages<=1) {
			pager.find('.next_link').hide();
		}
	  	pager.children().eq(1).addClass("active");

		children.hide();
		children.slice(0, perPage).show();

		pager.find('li .page_link').click(function(){
			var clickedPage = $(this).html().valueOf()-1;
			goTo(clickedPage,perPage);
			return false;
		});
		pager.find('li .prev_link').click(function(){
			previous();
			return false;
		});
		pager.find('li .next_link').click(function(){
			next();
			return false;
		});
	});


	function previous(){
		var goToPage = parseInt(pager.data("curr")) - 1;
		goTo(goToPage);
	}
	 
	function next(){
		goToPage = parseInt(pager.data("curr")) + 1;
		goTo(goToPage);
	}

	function goTo(page){

		$(pagers).each(function(){
			pager = $(this);
			var startAt = page * perPage,
				endOn = startAt + perPage;
		
			children.css('display','none').slice(startAt, endOn).show();
		
			if (page>=1) {
				pager.find('.prev_link').show();
			}
			else {
				pager.find('.prev_link').hide();
			}
		
			if (page<(numPages-1)) {
				pager.find('.next_link').show();
			}
			else {
				pager.find('.next_link').hide();
			}
		
			pager.data("curr",page);
		   
			if (settings.numbersPerPage>1) {
		   		pager.find('.page_link').hide();
		   		pager.find('.page_link').slice(page, settings.numbersPerPage+page).show();
			}
		  
		  	pager.children().removeClass("active");
			pager.children().eq(page+1).addClass("active");

		});

		$("html, body").animate({ scrollTop: 0 }, "fast");
	}
};

