<?php
# If accessing ui by path
if(file_exists('ui') && is_dir('ui')){
	define('BASEPATH', dirname($_SERVER['SCRIPT_FILENAME']) . '/');
	define('BASEURL', $_SERVER['REQUEST_URI'] . 'ui/');
} 
# If running out base dir
else {
	define('BASEPATH', dirname(dirname($_SERVER['SCRIPT_FILENAME'])) . '/');
	define('BASEURL', $_SERVER['REQUEST_URI']);
}

require_once(BASEPATH . 'configs/config.php');
require_once(BASEPATH . 'build.php');
require_once(BASEPATH . 'configs/servers.php');
require_once('views/header.php');

/* ============================================================
| Tab Header
*/
?>
<!-- Nav tabs -->
<nav class="navbar navbar-inverse navbar-static-top" role="navigation">
  <div class="container">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#servers">myMineMin</a>
    </div>

    <div class="collapse navbar-collapse" id="navbar-collapse-1">
		<ul class="nav navbar-nav" id="navbar-main">
			<li class="view-overview view-always"><a href="#servers">Overview <span class="badge display-users-online-count"></span></a></li>
			<li class="view-either"><a class="has-date" href="#analytics">Analytics</a></li>
			<li class="view-either"><a class="has-date" href="#chat">Chat <span class="badge"></span></a></li>
			<li class="view-single"><a class="has-date" href="#activity">Activity</a></li>
			<li class="view-single"><a class="has-date" href="#maps">Maps</a></li>
			<li class="view-single dropdown">
				<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">Server <span class="caret"></span></a>
				<ul class="dropdown-menu link-server" role="menu">
					<li class="view-single"><a href="#logs">Logs</a></li>
					<li class="view-single"><a href="#server/0/banned-players">Banned Players <span class="badge"></span></a></li>
					<li class="view-single"><a href="#server/0/banned-ips">Banned IPs <span class="badge"></span></a></li>
					<li class="view-single"><a href="#server/0/ops">Ops <span class="badge"></span></a></li>
					<li class="view-single"><a href="#server/0/whitelist">Whitelist <span class="badge"></span></a></li>
				</ul>
			</li>
			<li class="view-overview"><a href="#users">Users</a></li>
			<li class="view-overview"><a class="link-about" href="#about">About</a></li>
		</ul>
		<div class="nav navbar-nav navbar-right">
			<form class="navbar-form" role="search">
				<div class="form-group"><select class="form-control" id="server-select"></select></div>
			</form>
		</div>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>

<div class="container">
	<div id="page-loading"><div class="alert alert-warning"><strong>Loading</strong></div></div>
<?php if(defined('DEMO')===true && DEMO==1){?>
	<div class="alert alert-info" role="alert">Demo mode active. In demo mode player names, IPs, and Co-ords are replaced with generic data to protect 
		user data.</div>
<?php } ?>
	<div id="main-alert"></div>
	<div id="page-active"></div>
</div>

<?php 
$viewspath = BASEPATH . 'ui/views/';
foreach(scandir($viewspath) as $filename){
	if(substr($filename, -5)=='.html'){ ?>
<script id="template-<?php echo substr($filename, 0, -5);?>" type="text/x-handlebars-template">
<?php echo file_get_contents($viewspath . $filename) ?>
</script>
<?php 
	}
}

require_once('views/footer.php');


