<?php
class dataset_activity extends dataset {
	public $url_segment_map = array(
		'server_id',
		'date',
	);
	
	function get(){
		$return = array();
		
		// Player Activity
		$sql = "SELECT a1.datetime, a1.activity, a1.user_name, a1.message
					,a2.message AS ip
			FROM log_activity a1
				LEFT JOIN log_activity a2 
					ON a2.server_id=" . (int)$this->dataset['server']['id'] . "
					AND a1.datetime=a2.datetime 
					AND a2.activity='ip' 
					AND a1.user_name=a2.user_name 
					AND a1.log_id=a2.log_id
			WHERE a1.server_id=" . (int)$this->dataset['server']['id'] . "
				AND a1.datetime BETWEEN '" . $this->filters['date_from'] . "' AND '" . $this->filters['date_stop'] . "'
				AND a1.activity IN ('joined', 'left')
			ORDER BY a1.datetime ASC
		";

		$return['activity'] = array();
		foreach($this->db->query($sql) as $row){
			$key = strtolower($row['user_name']) . ' ' . $row['user_name'];
			$row['datetime'] = encode_datetime($row['datetime']);
			#echo '<pre>' . print_r($row, true) . '</pre>';

			# Base Data
			if(!isset($return['activity'][$key])){
				$add = $row;
				unset($add['ip']);
				$return['activity'][$key] = $add;
				$return['activity'][$key]['activity'] = array();
			}

			# Activity Data, has rows?
			if(isset($return['activity'][$key]['activity']) && count($return['activity'][$key]['activity'])>0){
				$index = count($return['activity'][$key]['activity']) - 1;
			} else {
				$index = null;
			}

			# Process Activity
			if($row['activity']=='joined'){
				# Close old Row
				if($index!==null && $return['activity'][$key]['activity'][$index]['logout'] ===null){
					$return['activity'][$key]['activity'][$index]['logout'] = $row['datetime'];
				}

				# Add
				$add = array(
					'login'		=> encode_datetime($row['datetime']),
					'logout'	=> null,
				);

				if(isset($row['ip']) && $row['ip']!=''){
					$add['ip'] = $row['ip'];
				}

				$return['activity'][$key]['activity'][] = $add;

				if(date('Y-m-d', strtotime($row['datetime']))==date('Y-m-d')){
					$status = 'online';
				} else {
					$status = 'offline';
				}
			} else if($row['activity']=='left'){
				# Add 
				if($index===null){
					$start = strtotime($row['datetime']);

					$add = array(
						'login'		=> encode_datetime(mktime(0, 0, 0, date('m', $start) , date('d', $start) , date('Y', $start))),
						'logout'	=> encode_datetime($row['datetime']),
					);

					if(isset($row['ip']) && $row['ip']!=''){
						$add['ip'] = $row['ip'];
					}

					$return['activity'][$key]['activity'][] = $add;
				}
				# Close Off
				else {
					$return['activity'][$key]['activity'][$index]['logout'] = encode_datetime($row['datetime']);
				}

				$status = 'offline';
				if(count($return['activity'][$key]['activity'])==1){
					$timeonline = strtotime($return['activity'][$key]['activity'][0]['logout']) - strtotime($return['activity'][$key]['activity'][0]['login']);
					if($timeonline<(60*5)){
						$status = 'bounced';
					}
				}
			}

			$return['activity'][$key]['status'] = $status;
		}
		#echo '<pre>' . print_r($return['activity'], true) . '</pre>';
		ksort($return['activity']);
		$return['activity'] = array_values($return['activity']);

		// Lag
		$sql = "SELECT a1.datetime,message, DATE_FORMAT(a1.datetime, '%k%i') AS time
			FROM log_activity a1
			WHERE a1.server_id=" . (int)$this->dataset['server']['id'] . "
				AND a1.datetime BETWEEN '" . $this->filters['date_from'] . "' AND '" . $this->filters['date_stop'] . "'
				AND a1.activity IN ('lag')
		";

		$return['lag'] = array();
		foreach($this->db->query($sql) as $row){
			if(substr($row['message'],0,1)=='{' || substr($row['message'],0,1)=='['){
				$key = $row['time'];
				$message = json_decode($row['message'], true);
				if(!isset($return['lag'][$key])){
					$return['lag'][$key] = array(
							'datetime'	=> $row['datetime'],
							'points'	=> 1,
							'latency'	=> (isset($message['latency']) ? $message['latency'] : 0),
							'ticks'		=> (isset($message['ticks']) ? $message['ticks'] : 0),
						);
				} else {
					$return['lag'][$key]['points']++;
					$return['lag'][$key]['latency']	+= (isset($message['latency']) ? $message['latency'] : 0);
					$return['lag'][$key]['ticks']		+= (isset($message['ticks']) ? $message['ticks'] : 0);
				}
			}
		}
		
		
		# Return
		$return['filters']['date']	= array(
									'from'	=> date('c' , $this->filters['date_from_unix']),
									'stop'	=> date('c' , $this->filters['date_stop_unix']),
								);
		
		return $return;
	}
}
