<?php
class dataset_servers extends dataset {
	function get(){
		$return = array('servers' => array());
		if(!isset($this->dataset['servers'])){
			$return['errors'][] = 'No servers have been loaded into the database';
		}

		# Load Player Activity
		foreach($this->dataset['servers'] as $server){
			if(!isset($this->dataset['segments'][1]) || (int)$this->dataset['segments'][1]==0 || $this->dataset['segments'][1]==$server['id']){
					

				# Check for server status
				if(isset($this->dataset['segments'][2]) && $this->dataset['segments'][2]=='state'){
					if(!isset($server['extension'])){
						$logger->log('Server config: Extension not specified');
					}

					$ext_name	= strtolower($server['extension']);
					$ext_path 	= BASEPATH . 'extensions/' . $server['extension'];

					if(!is_dir($ext_path)){
						$logger->log("Server config: Extension '" . $ext_name . "' not found");
					}

					require_once($ext_path . '/query.php');
					$classname = $ext_name . '_query';
					$extension = new $classname();
					$result = $extension->query($server);

					if($result===false){
						$server['errors'][] = 'Could not connect to server';
					} else {
						$server['state'] = $result;
					}
				}
			
				$return['servers'][] = $server;
			}
		}
		
		#Return
		return $return;
	}
}